package pl.itcrowd.youtrack.api;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import pl.itcrowd.youtrack.api.rest.IssueItem;

import java.io.Serializable;

public class IssueItemWrapper implements Serializable {

    private static final Log log = LogFactory.getLog(IssueItemWrapper.class);

    private IssueItem issueItem;

    public IssueItemWrapper(IssueItem issueItem)
    {
        this.issueItem = issueItem;
    }

    public String getIssueId()
    {
        return issueItem.getOption();
    }

    public String getSummary()
    {
        return issueItem.getDescription();
    }
}
