package pl.itcrowd.youtrack.api.defaults;

public enum DateValues {
    Today, Yesterday, Saturday, Friday, Thursday, Wednesday, Tuesday, Monday, Sunday, ThisWeek("{This week}"), LastWeek("{Last week}"), TwoWeeksAgo(
        "{Two weeks ago}"), ThreeWeeksAgo("{Three weeks ago}"), ThisMonth("{This month}"), LastMonth("{Last month}");

    private String filterValue;

    private DateValues()
    {
        filterValue = name();
    }

    private DateValues(String filterValue)
    {
        this.filterValue = filterValue;
    }

    public String getFilterValue()
    {
        return filterValue;
    }
}
