package pl.itcrowd.youtrack.api.exceptions;

public class YoutrackErrorException extends RuntimeException {

    private int statusCode;

    public YoutrackErrorException(String message, int statusCode)
    {
        super(message);
        this.statusCode = statusCode;
    }

    public int getStatusCode()
    {
        return statusCode;
    }
}
